Author Topic: Problem with installing anrysearch and fsearch  (Read 1675 times)

Dj

  • Newbie
  • *
  • Posts: 19
  • Karma: +0/-0
Problem with installing anrysearch and fsearch
« on: Fri Aug 12 10:59:31 2022 »
Hello to all!

 When I try to install fsearch from git

 
Quote
meson.build:1:0: ERROR: Unknown compiler(s): [['cc'], ['gcc'], ['clang'], ['nvc'], ['pgcc'], ['icc']]
The following exception(s) were encountered:
Running "cc --version" gave "[Errno 2] No such file or directory: 'cc'"
Running "gcc --version" gave "[Errno 2] No such file or directory: 'gcc'"
Running "clang --version" gave "[Errno 2] No such file or directory: 'clang'"
Running "nvc --version" gave "[Errno 2] No such file or directory: 'nvc'"
Running "pgcc --version" gave "[Errno 2] No such file or directory: 'pgcc'"
Running "icc --version" gave "[Errno 2] No such file or directory: 'icc'"

A full log can be found at /home/linux/fsearch/builddir/meson-logs/meson-log.txt

I sucessfuly installed angrysearch. but it needs dependency

Quote
Traceback (most recent call last):
  File "/usr/bin/angrysearch", line 33, in <module>
    import PyQt5.QtCore as Qc
ModuleNotFoundError: No module named 'PyQt5'





spiky

  • Newbie
  • *
  • Posts: 8
  • Karma: +0/-0
Re: Problem with installing anrysearch and fsearch
« Reply #1 on: Fri Aug 12 21:18:59 2022 »
A help would be to post the Pkgfile that you are using.
Also cant you use cards search ? It dose know all about what is installed.
« Last Edit: Fri Aug 12 22:04:14 2022 by spiky »

Dj

  • Newbie
  • *
  • Posts: 19
  • Karma: +0/-0
Re: Problem with installing anrysearch and fsearch
« Reply #2 on: Sat Aug 13 11:12:23 2022 »
How to post content of pkg file ?
 
Quote
root [ /home/linux ]# cards list
(base) acl 2.3.1-2
(cli-extra) afuse 0.4.1-3
(cli) alsa-utils 1.2.7-1
(gui-extra) audacious 4.2-1
(gui-extra) audacious-plugins 4.2-1
(base) bash 5.1.16-1
(base) bc 1.07.1-1
(base) binutils 2.38-1
(gui-extra) bleachbit 4.4.2-1
(base) busybox 1.34.1-2
(base) bzip2 1.0.8-1
(base) cards 2.5.4-1
(base) cards.man 2.5.4-1
(base) coreutils 9.1-1
(base) cpio 2.13-1
(base) curl 7.84.0-1
(gui-extra) deadbeef 1.9.1-1
(cli) dhcpcd 9.4.1-1
(base) dialog 1.3-20220526-1
(base) diffutils 3.8-1
(base) e2fsprogs 1.46.5-1
(base) efibootmgr 18-1
(base) expat 2.4.8-1
(base) file 5.42-1
(base) findutils 4.9.0-1
(cli-extra) firejail 0.9.70-1
(gui-extra) flatpak 1.12.7-1
(base) flex 2.6.4-3
(cli-extra) fuse-exfat 1.3.0-2
(cli) fuse2 2.9.9-1
(base) gcc 12.1.0-1
(base) gdbm 1.23-1
(base) gettext 0.21-2
(base) git 2.37.1-1
(base) glibc 2.35-1
(base) gmp 6.2.1-1
(base) grep 3.7-1
(base) groff 1.22.4-1
(base) grub 2.06-7
(base) gzip 1.12-1
(base) iana-etc 20220610-1
(cli) icu 71.1-1
(base) inetutils 2.2-1
(cli) intltool 0.51.0-3
(base) iproute2 5.18.0-1
(base) kbd 2.5.1-1
(base) kernel 5.18.14-1
(base) kmod 30-1
(base) less 590-1
(base) libarchive 3.6.1-1
(base) libcap 2.64-1
(base) libpipeline 1.5.6-1
(cli) libraw 0.20.2-2
(gui) lightdm 1.32.0-1
(gui) lightdm-gtk-greeter 2.0.8-1
(base) linux-firmware 20220708-1
(base) lsb-release 1.4-1
(base) lz4 1.9.3-1
(base) make 4.3-2
(cli) make-ca 1.10-1
(base) man-db 2.10.2-1
(cli-extra) mc 4.8.28-1
(base) meson 0.63.0-1
(gui-extra) mousepad 0.5.10-1
(base) mpc 1.2.1-1
(gui-extra) mpv 0.34.1-1
(cli-extra) nano 6.3-1
(cli) ntfs-3g 2022.5.17-1
(base) nutyx 22.07.0-1
(base) nutyx.man 22.07.0-1
(cli) openssh 9.0p1-1
(base) openssl 1.1.1q-1
(cli-extra) os-prober 1.81-1
(base) pkg-config 0.29.2-1
(base) procps-ng 3.3.17-2
(base) psmisc 23.5-1
(gui-extra) qpdfview 0.4.18-1
(base) sed 4.8-2
(base) shadow 4.8.1-2
(base) sudo 1.9.5p2-1
(base) sysklogd 1.5.1-4
(base) systemd 246-18
(base) sysvinit 3.04-1
(gui-extra) thunar 4.16.11-1
(gui-extra) thunar-archive-plugin 0.5.0-1
(gui-extra) thunar-volman 4.16.0-4
(gui-extra) tumbler 4.16.0-2            [13:10 x86_64 5.18.14-NuTyX root@linux]
(base) tzdata 2022a-1
(base) util-linux 2.38-1
(gui-extra) volumeicon 0.5.1-2
(base) wireless-tools 29-1
(base) wpa-supplicant 2.10-1
(gui-extra) xarchiver 0.5.4.18-1
(gui-extra) xfce4-appfinder 4.16.1-2
(gui) xfce4-dev-tools 4.16.0-1
(gui-extra) xfce4-mount-plugin 1.1.5-1
(gui-extra) xfce4-notifyd 0.6.3-1
(gui-extra) xfce4-power-manager 4.16.0-2
(gui-extra) xfce4-session 4.16.0-2
(gui-extra) xfce4-settings 4.16.3-1
(gui-extra) xfce4-terminal 1.0.4-1
(gui-extra) xfce4-xkb-plugin 0.8.3-1
(gui-extra) xfdesktop 4.16.0-3
(gui-extra) xfwm4 4.16.1-2
(gui) xorg-server 21.1.4-1
(gui) xorg-xf86-input-synaptics 1.9.2-1
(base) xz 5.2.5-2
(base) zlib 1.2.12-1
(base) zstd 1.5.2-1

spiky

  • Newbie
  • *
  • Posts: 8
  • Karma: +0/-0
Re: Problem with installing anrysearch and fsearch
« Reply #3 on: Sat Aug 13 13:36:26 2022 »
Just copy and paste your Pkgfile that you created to build fsearch

Dj

  • Newbie
  • *
  • Posts: 19
  • Karma: +0/-0
Re: Problem with installing anrysearch and fsearch
« Reply #4 on: Sat Aug 13 16:58:21 2022 »
Sorry I can't find pkg file.